Summary:	The passwd utility for setting/changing passwords using PAM
Name:		passwd
Version:	0.74
Release:	%mkrel 7
License:	BSD
Group:		System/Base
Source0:	passwd-%{version}.tar.bz2
# (fc) add support for notifying gnome-keyring pam module of password change
Patch0:		passwd-0.74-gnomekeyring.patch
# This url is stupid, someone come up with a better one _please_!
URL:		http://www.freebsd.org
Requires:	pam >= 0.59
Requires:	pwdb >= 0.58
Requires(pre):	setup >= 2.7.12-2mdv 
#needed for file-deps /etc/libuser.conf
Requires:	libuser
BuildRequires:	glib2-devel
BuildRequires:	libuser-devel
BuildRequires:	pam-devel
BuildRequires:	popt-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The passwd package contains a system utility (passwd) which sets
and/or changes passwords, using PAM (Pluggable Authentication
Modules).

%prep

%setup -q
%patch0 -p1 -b .gnome-keyring

%build
%configure2_5x --without-selinux
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/pam.d

%makeinstall_std

install -m0644 passwd.pamd %{buildroot}%{_sysconfdir}/pam.d/passwd

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pam.d/passwd
%attr(4511,root,shadow) %{_bindir}/passwd
%{_mandir}/man1/passwd.1*




%changelog
* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 0.74-7mdv2009.1
+ Revision: 319036
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.74-6mdv2009.0
+ Revision: 265326
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.74-5mdv2009.0
+ Revision: 218045
- rebuild

* Tue May 20 2008 Vincent Danen <vdanen@mandriva.com> 0.74-4mdv2009.0
+ Revision: 209290
- revert the sgid shadow stuff, seems this particular passwd implementation requires being suid root

* Mon May 19 2008 Vincent Danen <vdanen@mandriva.com> 0.74-3mdv2009.0
+ Revision: 209161
- requires shadow group-aware setup
- passwd is sgid shadow now, not suid root

  + Thierry Vignaud <tvignaud@mandriva.com>
    - remove PAM req from description has it's automatically required anyway

* Wed Jan 23 2008 Frederic Crozat <fcrozat@mandriva.com> 0.74-2mdv2008.1
+ Revision: 157046
- Patch0 : notify gnome-keyring pam module of password change
- Clean specfile
- Replace file dep with package dep

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Dec 28 2006 Stew Benedict <sbenedict@mandriva.com> 0.74-1mdv2007.0
+ Revision: 102348
- 0.74: minor fixes in error reporting, localize messages

* Tue Dec 12 2006 Stew Benedict <sbenedict@mandriva.com> 0.73-1mdv2007.1
+ Revision: 95303
- Import passwd

* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 0.73-1mdv2007.1
- 0.73

* Tue May 09 2006 Stew Benedict <sbenedict@mandriva.com> 0.71-1mdk
- 0.71, drop P0-2

* Tue Jan 31 2006 Olivier Blin <oblin@mandriva.com> 0.68-5mdk
- use "include" directive instead of deprecated pam_stack module (Patch2)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.68-4mdk
- Rebuild

* Mon Jun 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.68-3mdk
- security fix (Vincent Danen)
- misc spec file fixes

